# QuickHashIntHash::get

(PECL quickhash >= Unknown)

QuickHashIntHash::get — This method retrieves a value from the hash by its key

### Description

public QuickHashIntHash::get ( int `$key` ) : int

This method retrieves a value from the hash by its key.

### Parameters

`key`

  The key of the entry to add.

### Return Values

The value if the key exists, or `NULL` if the key wasn't part of the hash.

### Examples

Example #1 QuickHashIntHash::get() example

`<?php
$hash = new QuickHashIntHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2 ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

The above example will output something similar to:

    bool(false)
    bool(true)
    int(1)
    bool(true)
    int(5)